Bug 1313651 - RoutingError (No route matches [GET] "/assets/spinner.gif"): while associating activation-key with hostgroup
RoutingError (No route matches [GET] "/assets/spinner.gif"): while associatin...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: 6.2
Assigned To: satellite6-bugs
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 01:56 EST by Sachin Ghai
Modified: 2017-02-08 17:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-08 17:02:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RoutingError (No route matches [GET] "/assets/spinner.gif") (54.36 KB, image/png)
2016-03-02 01:56 EST, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2016-03-02 01:56:32 EST
Created attachment 1132155 [details]
RoutingError (No route matches [GET] "/assets/spinner.gif")

Description of problem:

While associating a activation-key with hostgroup following routing error appears:


2016-03-02 07:51:30 [app] [I] Processing by Katello::Api::V2::ActivationKeysController#index as */*
2016-03-02 07:51:30 [app] [I]   Parameters: {"content_view_id"=>"5", "api_version"=>"v2", "environment_id"=>"5"}
2016-03-02 07:51:30 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.1/app/views/katello/api/v2/activation_keys/index.json.rabl within katello/api/v2/layouts/collection (257.5ms)
2016-03-02 07:51:30 [app] [I] Completed 200 OK in 273ms (Views: 253.8ms | ActiveRecord: 7.2ms)
2016-03-02 07:51:34 [app] [I] Started GET "/assets/spinner.gif" for 10.65.193.200 at 2016-03-02 07:51:34 +0100
2016-03-02 07:51:34 [app] [F] 
 | ActionController::RoutingError (No route matches [GET] "/assets/spinner.gif"):
 |   actionpack (4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
 |   railties (4.1.5) lib/rails/rack/logger.rb:38:in `call_app'
 |   railties (4.1.5) lib/rails/rack/logger.rb:22:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/request_id.rb:21:in `call'
 |   rack (1.5.2) lib/rack/methodoverride.rb:21:in `call'
 |   rack (1.5.2) lib/rack/runtime.rb:17:in `call'
 |   activesupport (4.1.5) lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/static.rb:64:in `call'
 |   rack (1.5.2) lib/rack/sendfile.rb:112:in `call'
 |   railties (4.1.5) lib/rails/engine.rb:514:in `call'
 |   railties (4.1.5) lib/rails/application.rb:144:in `call'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `public_send'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `method_missing'
 |   rack (1.5.2) lib/rack/builder.rb:138:in `call'
 |   rack (1.5.2) lib/rack/urlmap.rb:65:in `block in call'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `each'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `call'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
 | 
 | 



Version-Release number of selected component (if applicable):
Satellite 6.2 snap1

How reproducible:
always

Steps to Reproduce:
1. Create a hostgroup and associate activation-key
2.
3.

Actual results:
ActionController::RoutingError (No route matches [GET] "/assets/spinner.gif"):
 |   actionpack (4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

Expected results:
No error should be thrown


Additional info:
Firebug raised error:

GET https://ibm-x3550m3-06.lab.eng.brq.redhat.com/assets/spinner.gif 404 (Not Found)
Comment 2 Roman Plevka 2016-03-29 06:40:15 EDT
same error on loading the spinner in 'New Host' dialog -> choose Lifecycle Environment and after that, the list of Content views is being fetched with broken link to a spinner.gif
Comment 4 Tomer Brisker 2016-12-21 06:45:24 EST
Reducing severity, this is just a cosmetic issue of a missing spinner.
Comment 5 Bryan Kearney 2017-02-08 17:02:32 EST
I do not envision this bug being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.